READ_ABS_BBT(9)

NAME
read_abs_bbt - [GENERIC] Read the bad block table starting at a given page

SYNOPSIS

int read_abs_bbt (struct mtd_info * mtd, uint8_t * buf, struct nand_bbt_descr * td, int chip);

ARGUMENTS

mtd MTD device structure

buf temporary buffer

td  descriptor for the bad block table

chip
    read the table for a specific chip, -1 read all chips. Applies only if NAND_BBT_PERCHIP option is set

DESCRIPTION

Read the bad block table for all chips starting at a given page We assume that the bbt bits are in consecutive order.

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.